<?php
///////////////////////////////////////////////////
//Карпухин Павел
//2010 (C)
///////////////////////////////////////////////////
require_once "../utils/chlang.php";

$title=$titlepage = $TEXT['menu-btn26-title'];

require_once "../config_a.php";
require_once "../utils/functions.php";
require_once "../utils/top_adm.php";

if($result2['administrator'] == 0) {puterror($result2['skin'],$TEXT['error-loginform2']); require_once "../utils/bottom_adm.php"; exit();}

if(empty($_POST['obr_id'])) {puterror($result2['skin'],$TEXT['error-no-id']); require_once "../utils/bottom_adm.php"; exit();}
if(strlen($_POST['obr_id'])>5) {puterror($result2['skin'],$TEXT['error-id-long']); require_once "../utils/bottom_adm.php"; exit();}
if(empty($_POST['kachestvo'])) {puterror($result2['skin'],$TEXT['error-obr1']); require_once "../utils/bottom_adm.php"; exit();}
if(strlen($_POST['kachestvo'])>255) {puterror($result2['skin'],$TEXT['error-obr2']); require_once "../utils/bottom_adm.php"; exit();}

if(isset($_POST['kachestvo'])) {$kachestvo=trim($_POST['kachestvo']);}
 else {$kachestvo="";}
   if(empty($kachestvo)) {puterror($result2['skin'],$TEXT['error-spaces']); require_once "../utils/bottom_adm.php"; exit();}

$_POST['kachestvo'] = rep($_POST['kachestvo']);
$_POST['dom_id'] = rep($_POST['dom_id']);

$query11 = mysqli_query($dbcnx,"SELECT COUNT(`obr_id`) AS c_obr_id FROM `tbl_obraschenie` WHERE `kachestvo`='".$_POST['kachestvo']."' ");
$result11 = mysqli_fetch_array($query11);
 if($result11['c_obr_id']>0) {puterror($result2['skin'],$TEXT['error-double']); require_once "../utils/bottom_adm.php"; exit();}

  //*************************************
  //Информация для лога
  $query10 = "SELECT `kachestvo` FROM `tbl_obraschenie` WHERE `obr_id`='".$_POST['obr_id']."' ";
  $result10 = mysqli_query($dbcnx,$query10);
  if(!$result10) {puterror($result2['skin'],$TEXT['error-tbl18']); require_once "../utils/bottom_adm.php"; exit();}
      $result_dom = mysqli_fetch_array($result10);

  $ip = $_SERVER['REMOTE_ADDR'];
  $doing = $TEXT['log-obr3'];
  $what = $result_dom['kachestvo'].$TEXT['log-na'].$_POST['kachestvo'].$TEXT['log-id'].$_POST['obr_id'];
  $who = $result2['familiya']." ".$result2['name'];
  //*************************************
  $query = "UPDATE `tbl_obraschenie` SET `kachestvo` = '".$_POST['kachestvo']."' WHERE `obr_id`='".$_POST['obr_id']."' LIMIT 1";
  if(mysqli_query($dbcnx,$query))
  {
    $query2 = "INSERT INTO tbl_logs ( `log_id` , `data` , `ip` , `who` , `doing` , `what` ) VALUES ( NULL , NOW() , '$ip' , '$who' , '$doing' , '$what')";
        if(mysqli_query($dbcnx,$query2))
           {
             echo "<html><head>
                   <meta HTTP-EQUIV='Refresh' CONTENT='0; URL=index.php' />
                   </head></html>";
           }  else {puterror($result2['skin'],$TEXT['error-log']); require_once "../utils/bottom_adm.php"; exit();}
  } else {puterror($result2['skin'],$TEXT['error-tbl18']); require_once "../utils/bottom_adm.php"; exit();}
require_once "../utils/bottom_adm.php";
?>